org.jboss.jca.adapters.jdbc.jdk7

## Class WrappedConnectionJDK7

- java.lang.Object
- - org.jboss.jca.adapters.jdbc.JBossWrapper
  - - org.jboss.jca.adapters.jdbc.WrappedConnection
    - - org.jboss.jca.adapters.jdbc.jdk7.WrappedConnectionJDK7

- All Implemented Interfaces:
    java.io.Serializable, java.lang.AutoCloseable, java.sql.Connection, java.sql.Wrapper

      public class WrappedConnectionJDK7
      extends WrappedConnection

  WrappedConnectionJDK7.
  Author:
    Jesper Pedersen
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jboss.jca.adapters.jdbc.WrappedConnection

      `doLocking, jndiName, spy, spyLogger`

    - ### Fields inherited from class org.jboss.jca.adapters.jdbc.JBossWrapper

      `bundle`

    - ### Fields inherited from interface java.sql.Connection

      `TRANSACTION_NONE, TRANSACTION_READ_COMMITTED, TRANSACTION_READ_UNCOMMITTED, TRANSACTION_REPEATABLE_READ, TRANSACTION_SERIALIZABLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WrappedConnectionJDK7(BaseWrapperManagedConnection mc, boolean spy, java.lang.String jndiName, boolean doLocking, ClassLoaderPlugin clp)` Create a new WrappedConnectionJDK7.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected WrappedCallableStatement` | `wrapCallableStatement(java.sql.CallableStatement statement, boolean spy, java.lang.String jndiName, boolean doLocking)` Wrap callable statement
    `protected WrappedPreparedStatement` | `wrapPreparedStatement(java.sql.PreparedStatement statement, boolean spy, java.lang.String jndiName, boolean doLocking)` Wrap prepared statement
    `protected WrappedStatement` | `wrapStatement(java.sql.Statement statement, boolean spy, java.lang.String jndiName, boolean doLocking)` Wrap statement

    - ### Methods inherited from class org.jboss.jca.adapters.jdbc.WrappedConnection

      `abort, checkException, checkStatus, checkTransaction, clearWarnings, close, commit, createArrayOf, createBlob, createClob, createNClob, createSQLXML, createStatement, createStatement, createStatement, createStruct, getAutoCommit, getCatalog, getClientInfo, getClientInfo, getDataSource, getHoldability, getMetaData, getNetworkTimeout, getSchema, getTransactionIsolation, getTypeMap, getUnderlyingConnection, getWarnings, getWrappedObject, getXAResource, invalidate, isClosed, isReadOnly, isValid, isWrapperFor, isXA, lock, nativeSQL, prepareCall, prepareCall, prepareCall, prepareStatement, prepareStatement, prepareStatement, prepareStatement, prepareStatement, prepareStatement, releaseSavepoint, rollback, rollback, setAutoCommit, setCatalog, setClientInfo, setClientInfo, setDataSource, setHoldability, setNetworkTimeout, setReadOnly, setSavepoint, setSavepoint, setSchema, setTransactionIsolation, setTypeMap, unlock, unwrap`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WrappedConnectionJDK7

          public WrappedConnectionJDK7(BaseWrapperManagedConnection mc,
                                       boolean spy,
                                       java.lang.String jndiName,
                                       boolean doLocking,
                                       ClassLoaderPlugin clp)

      Create a new WrappedConnectionJDK7.
      Parameters:
        `mc` - the managed connection
        `spy` - The spy value
        `jndiName` - The jndi name
        `doLocking` - Do locking

  - ### Method Detail

    - #### wrapStatement

          protected WrappedStatement wrapStatement(java.sql.Statement statement,
                                                   boolean spy,
                                                   java.lang.String jndiName,
                                                   boolean doLocking)

      Wrap statement
      Specified by:
        `wrapStatement` in class `WrappedConnection`
      Parameters:
        `statement` - The statement
        `spy` - The spy value
        `jndiName` - The jndi name
        `doLocking` - Do locking
      Returns:
        The result

    - #### wrapPreparedStatement

          protected WrappedPreparedStatement wrapPreparedStatement(java.sql.PreparedStatement statement,
                                                                   boolean spy,
                                                                   java.lang.String jndiName,
                                                                   boolean doLocking)

      Wrap prepared statement
      Specified by:
        `wrapPreparedStatement` in class `WrappedConnection`
      Parameters:
        `statement` - The statement
        `spy` - The spy value
        `jndiName` - The jndi name
        `doLocking` - Do locking
      Returns:
        The result

    - #### wrapCallableStatement

          protected WrappedCallableStatement wrapCallableStatement(java.sql.CallableStatement statement,
                                                                   boolean spy,
                                                                   java.lang.String jndiName,
                                                                   boolean doLocking)

      Wrap callable statement
      Specified by:
        `wrapCallableStatement` in class `WrappedConnection`
      Parameters:
        `statement` - The statement
        `spy` - The spy value
        `jndiName` - The jndi name
        `doLocking` - Do locking
      Returns:
        The result

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)